import { z } from "zod";
import { base } from "../base.js";
const zApp = z.object({
  name: z.string(),
  url: z.string()
});
const blockGitHubApps = base.createBlock({
  about: {
    name: "GitHub Apps"
  },
  addons: {
    apps: z.array(zApp).default([])
  },
  produce({ addons }) {
    return {
      suggestions: addons.apps.length ? [
        [
          `- enable the GitHub app`,
          addons.apps.length === 1 ? "" : "s",
          `:
`,
          addons.apps.map(printApp).join("\n")
        ].join("")
      ] : void 0
    };
  }
});
function printApp(app) {
  return `   - ${app.name} (${app.url})`;
}
export {
  blockGitHubApps
};
//# sourceMappingURL=blockGitHubApps.js.map